Package org.eclipse.m2m.atl.emftvm.util

## Interface TypeMap<K,​V>

Type Parameters:
  `K` -
  `V` -

All Superinterfaces:
  `java.util.Map<K,​V>`

All Known Implementing Classes:
  `TypeHashMap`

    public interface TypeMap<K,​V>
    extends java.util.Map<K,​V>

Provides extra functionality for finding supertypes of keys representing types.

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `findAllKeys​(java.lang.Object key, java.util.Set<java.lang.Object> keys)` Finds this key, if contained, and any contained supertype keys.
`java.lang.Object` `findKey​(java.lang.Object key)` Finds this key or a supertype key if contained, or `null` if neither is not contained.

### Methods inherited from interface java.util.Map

`clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Method Detail

#### findKey

    java.lang.Object findKey​(java.lang.Object key)

Finds this key or a supertype key if contained, or `null` if neither is not contained.

Parameters:
  `key` - the key to find
Returns:
  this key or a supertype key if contained, or `null` if neither is not contained
See Also:
  `Map.containsKey(Object)`

#### findAllKeys

    void findAllKeys​(java.lang.Object key,
                     java.util.Set<java.lang.Object> keys)

Finds this key, if contained, and any contained supertype keys.

Parameters:
  `key` - the key to find
  `keys` - the collection in which to store the found keys
See Also:
  `Map.containsKey(Object)`